#!/bin/ash
#
# This script prints SEL log  log for engineering to debug a problem.

. /usr/local/bin/sig_catcher

tail -n 36 /tmp/splog_collect_timestamp

echo hsamcmd --fault-show-all
echo ===============================
/usr/local/bin/hsamcmd --fault-show-all

echo /usr/local/bin/ipmi sensors
echo ===============================
/usr/local/bin/ipmi sensors

echo /usr/local/bin/environ -show_all
echo ================================
/usr/local/bin/environ -show_all

echo /usr/local/bin/ipmi oem battery show
echo =====================================
/usr/local/bin/ipmi oem battery show

exit 0
